<div class="alert alert-danger alert-dismissible" *ngIf="errorMessage != null">
  {{errorMessage}}
  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" (click)="errorMessage = null"></button>
</div>

<form (submit)="login($event)">
  <div class="mb-3">
    <label class="form-label">Username</label>
    <input name="username" type="text" class="form-control" [(ngModel)]="username" required>
  </div>
  <div class="mb-3">
    <label class="form-label">Password</label>
    <input name="password" type="password" class="form-control" [(ngModel)]="password" required>
  </div>
  <button class="btn btn-block btn-outline-primary">Login</button>
</form>
